Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510611 - update 3.0.1
Summary: update 3.0.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: electrum
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonny Heggheim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 19:43 UTC by mastaiza
Modified: 2017-12-15 11:43 UTC (History)
5 users (show)

Fixed In Version: electrum-3.0.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:26:33 UTC


Attachments (Terms of Use)

Description mastaiza 2017-11-07 19:43:19 UTC
update to 3.0.1
https://github.com/spesmilo/electrum/releases

Comment 1 Dimitris 2017-11-13 13:01:26 UTC
I'd appreciate the update to version 3.0.1 for Fedora 26/27 please.

Thank you.

Comment 2 Jonny Heggheim 2017-11-13 17:07:35 UTC
I tried to update, but due to update to Python3, upstream changed depenency jsonrpclib to jsonrpclib-pelix. jsonrpclib does not support Python 3 and jsonrpclib-pelix cause conflict with jsonrpclib.

Comment 3 Dimitris 2017-11-13 21:39:15 UTC
I did some digging about the issue, it appears that jsonrpclib was made to mirror the package xmlrpclib, which is a python 2 thing and won't be upgraded to python 3.

Instead, for python 3, they made a new library jsonrpclib-pelix, but it uses the same package name as the old, thus they can't coexist.

Anyone knows what other distros are doing to make things work?

Comment 4 Jonny Heggheim 2017-11-13 22:05:58 UTC
Asking maintainer of jsonrpclib, Ihar Hrachyshka: What are our options? Can we submit a new package for jsonrpclib-pelix that only build for Python3?

Comment 5 Ihar Hrachyshka 2017-11-14 18:34:16 UTC
Sorry, I was not working on the package since I introduced it. Maybe I should orphan it so someone more interested can pick it up.

Is the new -pelix version working for py2? Does it have similar interface? If so, we could just replace the existing contents with the new library?

Comment 6 Dimitris 2017-11-14 19:17:27 UTC
Worth reading this comment about the differences between the two packages:

https://github.com/joshmarshall/jsonrpclib/pull/39#issuecomment-140971881

Comment 7 Jonny Heggheim 2017-11-14 19:19:49 UTC
(In reply to Ihar Hrachyshka from comment #5)
> Is the new -pelix version working for py2? Does it have similar interface?
> If so, we could just replace the existing contents with the new library?

I can look into that, then we have a better understanding of what our options are.

Comment 8 Jonny Heggheim 2017-11-14 19:24:01 UTC
Mayor highlights from https://pypi.python.org/pypi/jsonrpclib-pelix/ :

This version adds support for Python 3, staying compatible with Python 2.7.

This is a patched version of the original jsonrpclib project by Josh Marshall, available at https://github.com/joshmarshall/jsonrpclib.

The suffix -pelix only indicates that this version works with Pelix Remote Services, but it is not a Pelix specific implementation.

The support for Unix sockets has been removed, as it is not trivial to convert to Python 3 (and I don’t use them)

This version cannot be installed with the original jsonrpclib, as it uses the same package name.

Comment 9 Jonny Heggheim 2017-11-14 19:37:50 UTC
Looks like it is only Electrum that is using python-jsonrpclib for Fedora 26:

$ dnf repoquery --whatrequires python-jsonrpclib
Last metadata expiration check: 0:00:52 ago on Tue 14 Nov 2017 08:36:11 PM CET.
electrum-0:2.8.3-1.fc26.noarch
electrum-0:2.9.3-1.fc26.noarch

Comment 10 Dimitris 2017-11-17 10:42:01 UTC
If electrum is the only package using it, is it possible to switch to the newer jsonrpclib-pelix library?

Comment 11 Ihar Hrachyshka 2017-11-22 19:03:26 UTC
Based on what you wrote, it seems like we should be able to migrate the existing package to the new library without changing its name. This would resemble what Fedora did for mysql python connector a while ago: http://pkgs.fedoraproject.org/cgit/rpms/python-mysql.git/commit/?id=4f0207c0dcb3bd212eccf29c4741f9b1ec90157f

I am not personally interested in maintaining the package though. I think the best course of action would be transitioning the package to someone interested in Electrum so that they then can complete the conversion. Who's up for the job? Jonny, are you interested? Is it your account? https://admin.fedoraproject.org/pkgdb/packager/jonny/

Comment 12 Jonny Heggheim 2017-11-22 21:20:51 UTC
(In reply to Ihar Hrachyshka from comment #11)
> Based on what you wrote, it seems like we should be able to migrate the
> existing package to the new library without changing its name. This would
> resemble what Fedora did for mysql python connector a while ago:
> http://pkgs.fedoraproject.org/cgit/rpms/python-mysql.git/commit/
> ?id=4f0207c0dcb3bd212eccf29c4741f9b1ec90157f

Sounds like an easy strategy, at least for Fedora 27+ and just let Fedora 26 and EPEL stay the same.

> I am not personally interested in maintaining the package though. I think
> the best course of action would be transitioning the package to someone
> interested in Electrum so that they then can complete the conversion. Who's
> up for the job? Jonny, are you interested? Is it your account?
> https://admin.fedoraproject.org/pkgdb/packager/jonny/

I can maintain the package, since Electrum is the only user.

My FAS user name is jonny. https://admin.fedoraproject.org/pkgdb/packager/jonny/

Comment 13 Jonny Heggheim 2017-11-27 09:18:21 UTC
Can you give me access at https://src.fedoraproject.org/rpms/python-jsonrpclib/settings


https://fedoraproject.org/wiki/Infrastructure
/WhatHappenedToPkgdb#How_do_I_transfer_ownership_of_a_package_to_someone_else.3F

Comment 14 Ihar Hrachyshka 2017-12-04 18:46:20 UTC
I moved the package to you Jonny. Have fun!

Comment 15 Jonny Heggheim 2017-12-04 18:48:35 UTC
Thanks

Comment 16 Fedora Update System 2017-12-09 20:23:50 UTC
python-jsonrpclib-0.3.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65c2789a36

Comment 17 Jonny Heggheim 2017-12-09 21:00:16 UTC
Electrum 3.0.2 is building for Fedora 27 now.

I will only update Fedora 27 and later for both Electrum and python-jsonrpclib. There have been lots of changes upstream like Python2->Python3 and Qt4->Qt5. Dependency python-jsonrpclib have changed upstream.

So it makes sense to not risk breaking a working environment for users on Fedora 26.

Comment 18 Fedora Update System 2017-12-09 21:07:19 UTC
electrum-3.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb672f6815

Comment 20 Fedora Update System 2017-12-10 21:48:23 UTC
python-jsonrpclib-0.3.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65c2789a36

Comment 21 Fedora Update System 2017-12-10 21:48:30 UTC
electrum-3.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb672f6815

Comment 22 Fedora Update System 2017-12-12 11:26:33 UTC
python-jsonrpclib-0.3.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-12-12 11:26:37 UTC
electrum-3.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Jonny Heggheim 2017-12-15 11:43:30 UTC
I have pushed 3.0.3 to testing, is there a way to notify users who want to test new versions?

https://bodhi.fedoraproject.org/updates/FEDORA-2017-80b1d66f89


Note You need to log in before you can comment on or make changes to this bug.